package utils

// EndianReverse 反向src。必须像这么用：data = EndianReverse(data)
// 可能会内存重分配，仅EndianReverse(data)的话可能丢失数据。
func EndianReverse(src []byte) []byte {
	l := len(src)
	for i := 0; i < l>>1; i++ {
		src[i], src[l-1-i] = src[l-1-i], src[i]
	}
	return src
}
